Subject: Re: bug#71479: 30.0.50; describe-key description incorrect when using input methods

From: Stefan Monnier <[email-masked]>
Date: Sat, 15 Jun 2024 10:34:26 -0400

>> C-h k z h
>> =>
>>     ж (translated from h ж) runs the command

Eww.

>> This should say '*translated from z h)'. The underlying reason is that
>> quail.el messes around with `last-command-event', which confuses
>> describe-key.
> Right, it looks like the problem is in this-single-command-raw-keys,
> and more deeply in what we store in the raw_keybuf vector.

I don't have a deep enough understanding of all the elements in play to
have a good idea how to fix it.  All I can say is that IMO `raw_keybuf`
should never see ж because that is simply not the "raw" input.

        Stefan